"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.arrayProp = void 0;
const utilities_1 = require("../utilities");
/**
 * Allows any array. No further runtime validation is performed by default.
 *
 * @template T - can be used to restrict the type of the array items at compile time.
 *  @param validator - Optional function for further runtime validation; should return `undefined` if valid, or an error string if invalid.
 */
const arrayProp = (validator) => (0, utilities_1.propOptionsGenerator)(Array, validator);
exports.arrayProp = arrayProp;
